#!/bin/bash

declare -a LIST_OF_FILES=("tau_AER_H2O_cont.txt" "tau_N2N2_cia.txt" "tau_O2O2_cia.txt" "tau_rayleigh.txt" "tau_CO2_cia.txt" "tau_H2O_cia.txt" "tau_total.txt" "cf_signal.txt" "omega_function.txt" "budget_signal.txt" "gas_gas_budget_signal.txt" "gas_ground_budget_signal.txt" "gas_space_budget_signal.txt" "gas_gas_coolingrate_signal.txt" "gas_ground_coolingrate_signal.txt" "gas_space_coolingrate_signal.txt" "flux_up_signal.txt" "flux_dn_signal.txt" "flux_net_signal.txt" "cooling_rate_signal.txt" "ground_space_NER_signal.txt")

for file in "${LIST_OF_FILES[@]}"
do
    if [ -e $file ]
    then
	gzip $file
    fi
done

exit 0
