c     Copyright (C)
c     2014-2018 Centre National de la Recherche Scientifique
c     2014-2018 Mesotar
c     
c     This file must be used under the terms of the CeCILL license.
c     This source file is licensed as described in the file COPYING, which
c     you should have received as part of this distribution.  The terms
c     are also available at
c     http://www.cecill.info/licences/Licence_CeCILL_V2.1-en.txt
c
      subroutine exec(command)
      implicit none
      include 'max.inc'
c
c     Purpose: to execute a system command
c     
c     Inputs:
c       + command: character string that includes the system command
c
      character*(Nchar_mx) command
c     label
      integer strlen
      character*(Nchar_mx) label
      label='subroutine exec'

      if (strlen(command).gt.200) then
         call error(label)
         write(*,*) 'size of command is:',strlen(command)
         write(*,*) 'exceeds string size'
         stop
      endif
      call system(command(1:strlen(command)))
      
      return
      end
